# TODO
# - gui
%define		php_min_version 5.0.0
%define		ver	2.4.8
%define		subver 3
%include	/usr/lib/rpm/macros.php
Summary:	A PHP port of the YUI CSS compressor
Name:		php-yui-css-compressor
Version:	%{ver}.%{subver}
Release:	2
License:	BSD
Group:		Development/Languages/PHP
Source0:	https://github.com/tubalmartin/YUI-CSS-compressor-PHP-port/archive/v%{ver}-%{subver}/%{name}-%{version}.tar.gz
# Source0-md5:	0bcd5e0e43f33d29ecdfc6d18aa11dfc
URL:		https://github.com/tubalmartin/YUI-CSS-compressor-PHP-port
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.553
Requires:	php(core) >= %{php_min_version}
Requires:	php(pcre)
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A PHP port of the YUI CSS compressor

This port is based on version 2.4.8 (Jun 12, 2013) of the YUI
compressor.

%prep
%setup -q -n YUI-CSS-compressor-PHP-port-%{ver}-%{subver}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_data_dir}
cp -p cssmin.php $RPM_BUILD_ROOT%{php_data_dir}
ln -s cssmin.php $RPM_BUILD_ROOT%{php_data_dir}/CSSmin.php

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{php_data_dir}/cssmin.php
%{php_data_dir}/CSSmin.php
%changelog
* Sun Sep 21 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-yui-css-compressor.git;a=log;h=AC-branch

* Sun Sep 21 2014 Elan Ruusamäe <glen@delfi.ee> 0a885f3
- package alternative class name

* Sun Sep 21 2014 Elan Ruusamäe <glen@delfi.ee> 06891cc
- up to v2.4.8-3 (26 Apr 2014)

* Wed Mar 26 2014 Elan Ruusamäe <glen@delfi.ee> f9fa2bf
- new, version 2.4.8-2

